Version 3.4 (2011-03-10)
  Added accessibility example with various accessibility options contributed by Ephox.
  Fixed bug where attributes wasn't properly handled in the xhtmlxtras plugin.
  Fixed bug where the image.htm had some strange td artifacts probably due to auto merging.
  Fixed bug where the ToolbarGroup had an missing reference to this in it's destroy method.
  Fixed bug with the resizeBy function in the advanced theme where it was scaled by the wrong parent.
  Fixed bug where an exception would be thrown by the element if the page was served in xhtml mode.
  Fixed bug where mceInsertContent would throw an exception when page was served in xhtml mode.
  Fixed bug where you couldn't select a forground/background color when page was served in xhtml mode.
  Fixed bug where the editor would scroll to the toolbar when clicked due to a call to focus in ListBox.
  Fixed bug where pages with rtl dir wouldn't render split buttons correctly when using the o2k7 theme.
  Fixed bug where anchor elements with names wasn't properly collapsed as they where in 3.3.x.
  Fixed bug where WebKit wouldn't properly handle image selection if it was done left to right.
  Fixed bug where the formatter would align images when the selection range was collapsed.
  Fixed bug where the image button would be active when the selection range was collapsed.
  Fixed bug where the element_format option wasn't used by the new (X)HTML serializer logic.
  Fixed bug where the table cell/row dialogs would produce empty attributes.
  Fixed bug where the tfoot wouldn't be added to the top of the table.
  Fixed bug where the formatter would merge siblings with white space between them.
  Fixed bug where pasting headers and paragraphs would produce an extra paragraph.
  Fixed bug where the ColorSplitButton would throw an exception if you clicked out side a color.
  Fixed bug where IE9 wouldn't properly produce new paragraphs on enter if the current paragraph had formatting.
  Fixed bug where multiple BR elements at end of block elements where removed.
  Fixed bug where fullscreen plugin wouldn't correctly display the edit area on IE6 for long pages.
  Fixed bug where paste plugin wouldn't properly encode raw entities when pasting in plain text mode.
  Fixed bug where the search/replace plugin wouldn't work correctly on IE 9.
  Fixed so the drop menus doesn't get an outline border visible when focused, patch contributed by Ephox.
  Fixed so the values entered in the color picker are forced to hex values.
  Removed dialog workaround for IE 9 beta since the RC is now out and people should upgrade.
  Removed obsolete calls in various plugins to the mceBeginUndoLevel command.
Version 3.4b3 (2011-02-10)
  Added WAI-ARIA support for the main UI and dialogs this feature was contributed by Ephox.
  Added iframe support to media plugin in order to handle the new YouTube HTML5 video formats.
  Fixed bug where anchors would wrap the text contents after it due to a bug in the DomParser logic.
  Fixed bug where the selected state wouldn't be removed on ListBox controls when a menu item was selected.
  Fixed bug where IE could throw an unspecified error exception when the getBookmark logic was executed.
  Fixed bug where IE would throw an invalid argument error when focus was applied to an empty editor instance.
  Fixed bug where applying inline format wouldn't work if the start cell in the selection was empty.
  Fixed bug where auto detection logic for YouTube and Google Video wouldn't work in the new media plugin.
  Fixed bug where td elements would get a colspan/rowspan of 1 when created by the table plugin.
  Fixed bug where removal/padding of empty elements wasn't handled correctly.
  Fixed bug where internal elements would show up in element path.
  Fixed bug where internal elements would get serialized as valid output.
  Fixed bug where color wasn't correctly applied to anchor elements.
  Fixed bug where float option in the style plugin dialog wouldn't be handled correctly on WebKit.
  Fixed bug where the tinymce.dom.TreeWalker prev function wouldn't walk the DOM correctly.
  Fixed bug where mceInsertContent command could produce empty block elements after the inserted content.
  Fixed bug where mceInsertContent command wouldn't apply visual aids on tables and similar elements.
  Fixed bug where empty block elements would get double br bogus elements in them.
  Fixed bug where the color menu wouldn't apply the color correctly on IE when the viewport was to small.
  Fixed bug where right clicking out side the body element of the editor iframe would prevent paste from working on IE.
  Fixed bug where the onContextMenu event wouldn't fire correctly on IE if you clicked out side the body element.
  Fixed bug where the onContextMenu event wouldn't fire correctly on modern Opera versions that now support it by default.
  Fixed bug where legacy content wasn't converted correctly when inserted using mceInsertContent or through the source dialog.
  Fixed bug where resizing images or tables wouldn't update the style attribute correctly or leave data-mce prefixed attributes.
  Fixed bug where adding links wouldn't work correctly when using TinyMCE jQuery version with jQuery 1.5.
  Fixed bug where single quotes inside param elements wasn't treated correctly by the media plugin.
  Fixed bug where pasting plain text in WebKit wouldn't work correctly. It will now auto detect the WebKit bug and use plain text mode.
  Fixed bug where the DomParser would fail to move out invalid elements within invalid elements on complex contents.
  Fixed bug where paste as plain text would not decode html entities properly.
  Fixed bug where large paragraphs would cause incorrect scrolling behavior if you would split them using enter.
  Fixed bug where the SaxParser wouldn't properly parse some specific short ended elements.
  Fixed so mceReplaceContent supports caret position and makes sure that the contents inserted gets validated.
  Fixed so unnecessary traling br elements in blocks gets removed on Gecko/WebKit when using mceInsertContent command.
  Moved some plugin css contents into the skin content css files to reduce the number of http requests.
  Moved some plugin specific images into the theme img directory since they can then be shared.
Version 3.4b2 (2011-01-13)
  Added new custom flash player, this player supports mp4 and flv and has skin support.
  Fixed so mceInsertContent handles context correctly to enforce valid nesting of elements.
  Fixed bug where scrolling would become jerky on IE on some contents.
  Fixed bug where paste as plain text would throw exception of missing entities setting.
  Fixed bug where anchor nodes where removed by the new serializer engine.
  Fixed bug where IE would crash if when backspace where used on some specific contents.
  Fixed bug where pasting of plain text in WebKit would result in merging of text lines.
  Fixed bug where it wasn't possible to delete images or tables using backspace on IE9.
  Fixed bug where urls in styles would generate a JS error due to incorrect scope.
  Fixed bug where copy paste from Java applications would produce extra contents in FF on Mac.
  Fixed bug where the verify_html option wouldn't allow all elements and attributes.
Version 3.4b1 (2010-12-20)
  Added new serialization engine that increases performance and enforces valid output according to the specified schema settings.
  Added new HTML parser logic used by the serialization engine and can handle malformed html contents.
  Added new valid_children config option, enables more fine grain control of elements can be inside other elements.
  Added new entities encoding logic boost performance and will only encode entities based on context i.e. attributes/text nodes.
  Added new protect setting that enables users to protect template items from being removed by the serializer logic.
  Added new {$caret} marker for the mceInsertContent command. Makes it possible to move the caret to a specific position when inserting contents.
  Added new validation of anchor names. Only valid W3C names will be accepted.
  Replaced the internal _mce_ prefixed attributes to the more standard HTML5 data-mce- prefix. This will also resolve future browser santiaztion issues.
  Fixed bug where the paste plugin wouldn't convert Word lists with more than 9 items to real ol lists. Patch contributed by Mike (yogaboy).
  Fixed bug where clicking on a format title would produce errors if the current selection didn't have any formats.
  Fixed bug where paste of simple texts wouldn't work correctly in Gecko using the paste plugin since it keeps block formatting.
  Fixed bug where confirm dialogs didn't display correctly due to resent IE9 fixes.
  Fixed bug where spaces in URLs wouldn't be properly encoded to %20 if the user entered them in the link dialogs. Patch contributed by Ephox.
  Fixed bug where the image alignment buttons wouldn't reposition the resize handles on FF due to a browser issue. Patch contributed by Ephox.
  Fixed bug where the compareBoundaryPoints method of the IE Range class didn't work correctly. Patch contributed by Ephox.
  Fixed bug where selection of elements using double click wouldn't select the clicked element but rather the parent node on FF. Patch contributed by Ephox.
  Fixed bug where IE would scroll the user to the current selection causing parent document to scroll as well. Patch contributed by Ephox.
  Fixed bug where style compression would incorrectly compress items with different values. It now only compresses if the values are the same. Patch contributed by Ephox.
  Fixed bug where FF would add non breaking spaces outside TD elements if formatting was applied to table cells. Patch contributed by Ephox.
  Fixed bug where the caret position would be lost on WebKit browsers if you pasted images multiple times. Patch contributed by Ephox.
  Fixed bug where non word contents like * would be counted as words in the wordcount pluging. Patch contributed by David Balatero.
  Fixed bug where the toggle absolute button in the layer plugin wouldn't remove the existing internal style attribute first.
  Fixed bug where the autosave plugin would generate an exception on IE if the user had disabled userdata persistence.
  Fixed bug where the paste plugin would remove dashed classes on IE since the regexps didn't include that character.
  Fixed bug where applying text color would not add spans inside link elements. This is needed due to CSS style inheritance.
  Fixed bug where applying block formats to empty elements wouldn't render correctly on IE.
  Fixed bug where the searchreplace plugin would add a f or r character when shortcuts where used on IE while using default dialogs.
  Fixed bug where Opera wouldn't load scripts correctly since the onreadystate would fire even though the script wasn't loaded.
  Fixed issue where &nbsp; wouldn't be handled correctly in the bbcode plugin if entity_encoding was set to raw.
  Fixed issue where contents would flicker since the content css files where asynchronously loaded.
  Fixed bug where WebKit wouldn't create links on images with a float style.
Version 3.3.9.3 (2010-12-20)
  Fixed issue where WebKit wouldn't correctly apply ins/del in xhtmlxtras plugin.
  Fixed bug where paste as plaintext on WebKit wouldn't produce br and p elements correctly.
  Fixed bug where the confirm dialog texts would be incorrectly placed due to recent IE 9 workarounds in the window.css.
  Fixed bug where applying text color would not add spans inside link elements. This is needed due to CSS style inheritance.
Version 3.3.9.2 (2010-09-29)
  Fixed bug where placing the caret in IE 9 beta 1 would not work correctly if you clicked out side the document body element.
  Fixed bug where IE 9 beta 1 wouldn't resize the editor correctly since the events didn't fire as previous versions did.
  Fixed bug where FF would produce an error message when being rendered inside a hidden div element.
  Fixed bug where resize logic could produce a cookie with a width/height less than the size of the container.
  Fixed bug where content_css wouldn't populate the styles dropdown correctly.
Version 3.3.9.1 (2010-09-23)
  Fixed bug where WebKit browsers wouldn't activate the image button when images where selected.
  Fixed bug where Opera Presto 10.60 deletes elements when restoring bookmarks.
  Fixed bug where IE9 beta1 doesn't handle regexp replacement values correctly.
  Fixed bug where IE9 beta1 didn't render the inline dialogs correctly due to a bug with CSS clip.
  Fixed bug where IE9 beta1 would produce error messages on load since they removed the document.recalc method.
  Fixed bug where IE9 beta1 would produce <html xmlns=""> since they haven't implemented document.implementation.createDocument correctly.
  Fixed bug where IE9 beta1 would searchreplace doesn't work since their native DOM Range doesn't have a find method.
  Fixed bug where IE9 beta1 would render the source view incorrectly due to incorrect viewport size measurements.
  Fixed bug where IE9 beta1 would crash when running the basic functionality unit tests.
  Fixed bug where IE9 beta1 would wrap elements in blocks correctly due to changes to the selection object.
  Fixed bug where IE9 beta1 would fail to insert contents since they havn't implemented the createContextualFragment method in their DOM Range.
  Fixed bug where IE9 beta1 would fail to handle image selection since they currently doesn't support control selections in their DOM Range.
  Fixed bug where IE9 beta1 would fail to load scripts since they fire the onload event before the scripts are parsed and executed.
Version 3.3.9 (2010-09-08)
  Fixed bug where inserting table rows into a table with subtable would produce an incorrect column count.
  Fixed bug where the selection of cells in a table with subtables could produce invalid selections.
  Fixed bug where the table plugin would produce a script error if you tried to move the caret before a first child table.
  Fixed bug where the keep_styles feature on IE would move the caret to an incorrect location at the end of list blocks.
  Fixed so attributes from legacy elements such as font gets retained when they get converted to spans.
  Fixed minor issue where the select boxes wouldn't be set the not set by default in the table dialog.
Version 3.3.8 (2010-06-30)
  Fixed bug where WebKit would not move the caret to a correct position after a paste operation.
  Fixed bug where WebKit would produce a div wrapper element when pasting some contents.
  Fixed bug where the visual chars and nonbreaking plugin wouldn't show nbsp elements correctly.
  Fixed bug where the format states would be enabled even after the format was removed.
  Fixed bug where the delete key would move the caret to an incorrect position.
  Fixed bug where it wasn't possible to toggle of the current font size/family/style by clicking the title item.
  Fixed bug where the abbr element wouldn't get serialized correctly on IE6.
  Fixed so that the examples checks if they are executed from the local file system since that might not work properly.
Version 3.3.7 (2010-06-10)
  Fixed bug where context menu would produce an error on IE if you right clicked twice and left clicked once.
  Fixed bug where resizing of the window on WebKit browsers in fullscreen mode wouldn't position the statusbar correctly.
  Fixed bug where IE would produce an error if the editor was empty and you where undoing to that initial level.
  Fixed bug where setting the table background on gecko would produce \" entities inside the url style property.
  Fixed bug where the button states wouldn't be updated correctly on IE if you placed the caret inside the new element.
  Fixed bug where undo levels wasn't properly added after applying styles or font sizes.
  Fixed bug where IE would throw an error if you used "select all" on empty elements and applied formatting to that.
  Fixed bug where IE could select one extra character when you did a bookmark call on a caret location.
  Fixed bug where IE could produce a script error on delete since it would sometimes produce an invalid DOM.
  Fixed bug where IE would return the wrong start element if the whole element was selected.
  Fixed bug where formatting states wasn't updated on IE if you pressed enter at the end of a block with formatting.
  Fixed bug where submenus for the context menu wasn't removed correctly when the editor was destroyed.
  Fixed bug where Gecko could select the wrong element after applying format to multiple elements.
  Fixed bug where Gecko would delete parts of the previous element if the selection range was a element selection.
  Fixed bug where Gecko would not merge paragraph elements correctly if they contained br elements.
  Fixed bug where the cleanup button could produce span artifacts if you pressed it twice in a row.
  Fixed bug where the fullpage plugin header/footer would be have it's header reseted to it's initial state on undo.
  Fixed bug where an empty paragraph would be collapsed if you performed a cleanup while having the caret inside it.
  Fixed a few memory leaks on IE especially with drop menus in listboxes and the spellchecker.
  Fixed so formats applied to the current caret gets merged to reduce the number of output elements.
  Added the latest version of Sizzle for the CSS selector logic to fix a compatibility issue with prototype.
Version 3.3.6 (2010-05-20)
  Fixed bug where a editor.focus call could produce errors on IE in very specific scenarios.
  Fixed bug where Gecko would produce an error if you unformatted text inside an empty element.
  Fixed bug where IE would produce an error if the caret was placed before a table and you used the align buttons.
  Fixed bug where the font size drop down didn't display the a preview correctly.
  Fixed bug where the paste plugin wouldn't include all contents some times on WebKit browsers.
  Fixed bug where the plain text mode toggle wouldn't work properly on WebKit.
  Fixed bug where the editors statusbar would become invisible when you resized the window in fullscreen mode.
Version 3.3.5.1 (2010-05-07)
  Fixed a critical bug with the fullscreen plugin. Produced error messages when the state was toggled on/off.
Version 3.3.5 (2010-05-06)
  Added new merge_with_parents option to formats, enables the control of removal of elements with similar parents.
  Fixed so the default behavior for applying classes isn't a toggle state but the old behavior from before the 3.3 release.
  Fixed bug where selecting contents using double click on Gecko would produce errors when using removing format.
  Fixed bug where the IE DOM could get messed up when non valid contents was pasted into the editor.
  Fixed bug where merging selected table cells using the context menu didn't work as expected.
  Fixed bug where some nestled formatting would be applied incorrectly.
  Fixed bug with enter in list items when using the force_br_newlines mode on WebKit patch contributed by Ryan Koopmans.
  Fixed bug where undo/redo could produce js errors on some specific operations.
  Fixed bug where the theme_advanced_font_sizes didn't work as before 3.3 when complex settings where used.
  Fixed bug where the table plugin would copy cell/row id attributes when making new rows/cells.
Version 3.3.4 (2010-04-27)
  Fixed bug where fullscreen plugin would add two editor instances to EditorManager collection.
  Fixed bug where it was difficult to enter text on non western languages such as Japanese on IE.
  Fixed bug where removing contents from nodes could result in an exception when using undo/redo.
  Fixed bug with selection of images inside layers or other resizable containers on IE.
  Fixed so editors isn't initialized on iPhone/iPad devices since they don't have caret support.
Version 3.3.3 (2010-04-19)
  Added new script_loaded callback function setting for the jQuery plugin.
  Added various fixes and new rpc methods for the spellchecker plugin. Patch contributed by Michael Peters.
  Removed some unnecessary inline style information from some of the dialogs.
  Fixed some issues with the chaining for the TinyMCE jQuery plugin.
  Fixed so any extra arguments passed to patched jQuery functions gets passed through. Patch contributed by Lee Henson.
  Fixed so spellchecking/contextmenu can be toggled on/off if the browser has native spellchecker support.
  Fixed bug where some texts in the new paste plugin wasn't placed in language pack.
  Fixed bug where IE would produce an incorrect information message when cutting.
  Fixed bug where removing items using the xhtmlxtras plugin wouldn't work correctly.
  Fixed bug where setting table background images would add extra quotes on Gecko.
  Fixed bug where shortcut for bold/italic/underline wouldn't work properly on WebKit.
  Fixed bug where IE would produce an error message if only contents was an image tag and bold was used.
  Fixed bug where the caret would move if alignment was applied to empty block elements.
  Fixed bug where some shortcut key commands wouldn't apply formatting correctly.
Version 3.3.2 (2010-03-25)
  Fixed bug where it was possible to scale the editor iframe smaller than the editor UI.
  Fixed bug where some of the resizing option didn't work with the new live resize.
  Fixed bug where the format listbox didn't show nestled formats correctly.
  Fixed bug where the native listboxes didn't work correctly.
  Fixed bug where font size selection in using the legacyoutput plugin would produce errors.
  Fixed so block and blockquote formats remove their matching element regardless of it's attributes.
Version 3.3.1 (2010-03-18)
  Added new live resize feature, the editor contents is now visible while resizing.
  Fixed bug where some valid_element patterns would produce an unknown property error.
  Fixed bug where it wasn't possible to toggle off blockquotes.
  Fixed bug where an undo level wasn't produced when applying formatting using the styles dropdown.
  Fixed bug where IE 6/7 wouldn't perform caret formatting due to a focus/event bug in IE.
  Fixed bug where undo/redo wasn't restoring the previous selection correctly.
  Fixed bug where the caret would become invisible if you resized the editor in latest Gecko.
  Fixed bug where the class attribute wasn't completely removed in IE 6/7 when the removeClass function was used.
  Fixed so the matchNode method of the Formatter class returns the matched format rule.
  Fixed so it's possible to apply formatting to both blocks and as inline elements.
Version 3.3 (2010-03-10)
  Fixed bug where backspace on a table on IE would produce an empty tbody and some JS exceptions.
  Fixed bug where some redundant children wasn't removed properly when applying inline styles to them.
  Fixed bug where Chrome would produce incorect dialog sizes if the inlinepopups plugin wasn't used.
  Fixed bug where spans with different classes would get merged if they where siblings to each other.
  Fixed bug where IE 8 would crash if you used the spellchecker.
  Fixed bug where Input Method for non western languages didn't work correctly.
  Fixed bug where the UI would render incorrectly in FF 3.6 on Mac due to a bug n their rendering engine.
  Fixed bug where WebKit wouldn't scroll down correctly if Shift+Enter was used. Patch contributed by Thomas Andersen.
Version 3.3rc1 (2010-02-23)
  Fixed bug with new legacyoutput plugin not working correctly on it's own.
  Fixed bug some performance issues with removing text formats.
  Fixed bug where TinyMCE specific attributes wasn't removed properly by remove format.
  Fixed bug where it wasn't possible to align images within inline elements.
  Fixed bug where Ctrl+Delete/Backspace would produce an invalid argument exception on IE.
  Fixed bug where the search/replace logic could produce an infinite loop on IE for reverse searches.
  Fixed bug where cloning formats in cells didn't work properly on IE.
  Fixed bug where IE6 would produce a horizontal scroll bar.
  Fixed so remove jQuery method removes the TinyMCE instance as well as the specified textarea.
  Fixed so selected rows and cells gets updated using the row/cell properties dialogs.
Version 3.3b2 (2010-02-04)
  Fixed bug where sometimes img elements would be removed by split method in DOMUtils.
  Fixed bug where merging of span elements could occur on bookmark nodes.
  Fixed bug where classes wasn't properly removed when removeformat was used on IE 6.
  Fixed bug where multiple calls to an tinyMCE.init with mode set to exact could produce the same unique ID.
  Fixed bug with the IE selection implementation when it was feeded an document range.
  Fixed bug where block elements formatting wasn't properly removed by removeformat on all browsers.
  Fixed bug where selection location was lost if you performed a manual cleanup.
  Fixed bug where removeformat wouldn't remove span elements within styled block elements.
  Fixed bug where an error would be thrown if you clicked on the separator lines in menus.
  Fixed bug with the jQuery plugin adding always adding a querystring value to other resources.
  Fixed bug where IE would produce an error message if you had an empty editor instance.
  Fixed bug where Shift+Enter didn't produce br elements on WebKit browsers.
  Fixed bug where a temporary marker element wasn't removed by the paste plugin.
  Fixed bug where inserting a table would produce two undo levels instead of one.
Version 3.3b1 (2010-01-25)
  Added new text formatting engine. Fixes a lot of browser quirks and adds new possibilities.
  Added new advlist plugin that enables you to set the formats of list elements.
  Added new paste plugin logic that enables you to retain style information from Office.
  Added new autosave plugin logic that automatically saves contents in local storage.
  Added new valid_styles option. Adds the possibility to restrict styles and their order.
  Added new theme_advanced_runtime_fontsize option to display the runtime font size in font size select box.
  Added new jquery plugin version that handles the gzip compressor amongst other things. Contributed by Speednet.
  Added new $ function to tinymce namespace and editor instances for the jQuery build.
  Added the possibility to get editors by index as well as name in the tinyMCE.editors collection.
  Fixed so the contents inside the editor renders in standards mode by default.
  Fixed bug where it wasn't possible to move the caret on short documents running in standards mode on IE.
  Fixed bug where the decode method of the DOMUtils class could end up in an endless loop.
  Fixed bug where it was possible to bypass the paste cleanup on non IE browsers if you clicked while pasting.
  Fixed bug where some attributes wasn't serialized correctly on IE if wildcard attribute patters where used.
  Fixed bug where entity decoding was performed on strings that didn't have any valid entities in them.
  Fixed bugs with the insertNode method of the IE DOMRange implementation. Patch contributed by Scott McNaught.
  Rewrote the getBookmark/moveToBookmark selection logic to boost performance on larger documents.
  Rewrote the table plugin to include new cell selection logic and fixed various bugs and issues.
  Merged the tinyMCE, tinymce and tinymce.EditorManager into the same instance makes more sense.
  Removed browser setting since the browser support for TinyMCE is not far better than it was when that setting was introduced.
  Changed the mce_ attribute prefix to the more standard _mce_ prefix. This is similar to browser vendors prefixes.
  Optimized performance with named entities on Gecko. Regexp replace was executing very slowly probably due to a Gecko bug.
  Optimized performance of the IE specific selection/range implementation.
  Removed the safari plugin since we now replaced all text formatting logic to custom code.
Version 3.2.7 (2009-09-22)
  Fixed bug where uppercase paragraphs could still produce an invalid DOM tree on IE.
  Fixed bug where split command didn't work on WebKit since the node serializer needs a real document to work with.
  Fixed bug where it was impossible in Gecko to place the caret before a table if it was the first one.
  Fixed bug where linking to urls like ../../ would produce an extra traling slash ../..//.
  Fixed bug where the template cdate functionality was using an old 2.x API call. Patch contributed by vectorjohn.
  Fixed bug where urls to the same site but different protocol would be converted when relative_urls where set to false. Patch contributed by Ted Rust.
  Fixed bug where the paste plugin would remove mceItem prefixed classes.
  Fixed bug where the paste plugin would sometimes add items in a reverse order on WebKit.
  Fixed bug where the paste buttons would present an error message on Gecko even if you changed user.js. Patch contributed by Todd (teeaykay).
  Fixed bug where Opera would crash if you had tables incorrectly placed inside paragraphs.
  Fixed bug where styles elements wasn't properly processed if you had bad input HTML.
  Fixed bug where style attributes wasn't properly forced into a specific format.
  Fixed bug and issues with boolean attributes like checked, nowrap etc.
  Fixed bug where input elements could override attributes on form elements.
  Fixed bug where script or style elements could get modified by the DOMUtils processHTML method.
  Fixed bug where the selected attribute could get lost when force root blocks logic got executed on IE. Patch contributed by Attila Mezei-Horvati.
  Fixed bug where getAttribs method didn't handle boolean attributes correctly on IE.
  Fixed so the paste from word dialog is presented if you paste content on an IE with to restrictive security settings.
  Fixed so the paste_strip_class_attributes option is set to none by default in the paste plugin.
  Removed default border=0 on tables for the default value of valid_elements.
Version 3.2.6 (2009-08-19)
  Added new wordcount plugin, this will display the number of typed words as you write. Contributed by Andrew Ozz.
  Added new getNext and getPrev methods to DOM utils. These will return the first matching sibling.
  Fixed bug where it was impossible to place the caret after a table on Gecko. It will now add a paragraph after tables.
  Fixed bug where inline dialogs would fail if used in a window opened using a showModalDialog. Patch contributed by Derek Britt.
  Fixed bug where IE could sometimes render a unknown runtime error on invalid input HTML.
  Fixed bug where some incorrectly placed tables wouldn't be moved outside the paragraphs on IE.
  Fixed bug where uppercase script/style element wouldn't be handled correctly and converted to valid lowercase.
  Fixed bug where some WebKit versions on Mac OS X would produce issues with hidden select fields.
  Fixed bug where the media plugin would fail on WebKit since the node wasn't properly imported to the right document.
  Fixed bug where absolute URLs for the TinyMCE script using a base href element would cause loading problems in IE 6/7.
  Fixed bug where pasting using the paste plugin wasn't possible on IE with to restrictive security settings.
  Fixed bug where pasting of whitespace was impossible using the new custom paste method.
  Fixed bug where pasting on some WebKit browsers would not work if you pasted specific contents due to a WebKit bug.
  Fixed bug where doctypes with multiple lines would not be parsed correctly by the fullpage plugin. Patch contributed by Colin.
  Fixed bug where the autoresize plugin would break the fullscreen functionality.
  Fixed bug where tables would be chopped up running on IE using invalid contents and pasting paragraphs into a cell.
  Fixed bug where the each method of jQuery build didn't iterate styleSheets. We now use the TinyMCE API one instead.
  Fixed bug where auto switching to paragraphs after headers some times failed in Gecko.  
  Fixed so all editor options gets passed to the Serializer class. Patch contributed by Jasper Mattsson.
  Fixed so script/style blocks isn't wrapped in paragraphs as other inline elements.
  Fixed so the XHR requests sends the X-Requested-With HTTP header.
  Fixed so the data url scheme is handled in the tinymce.util.URI class.
  Changed inline documentation to use moxiedoc style comments.
  Removed the compat2x plugin people should have upgraded to the 3.x API by now. 3.0 was released more then a year ago.
  Re-added Gecko specific message for users who doesn't understand the security concept regarding paste.
Version 3.2.5 (2009-06-29)
  Added new jQuery plugin for the jQuery specific package. This enables you to more easily load and use TinyMCE.
  Added new autoresize plugin contributed by Peter Dekkers. This plugin will auto resize the editor to the size of the contents.
  Fixed so all packages have the same directory structure. Previous releases had a different structure for the production package.
  Fixed so the paste from word dialog forces the contents to be processed as word contents even if it's not.
  Fixed so the jQuery build adapter build works. It's currently only excluding Sizzle.
  Fixed so noscript element contents is retained during the editing process.
  Fixed bug where the getBookmark method would need a "simple" string input when the documented way is a boolean.
  Fixed bug where invalid contents could break the fix_table_elements logic.
  Fixed bug where Sizzle specific attributes would be serialized if the valid_elements was set to *[*].
  Fixed bug where IE would produce an error if you specified a relative content_css and opened the paste dialog.
  Fixed bug where pasting images on IE would produce broken images if they came from an external site.
  Fixed bug where memory was leaked if you add/remove controls dynamically. Some event handlers wasn't removed properly.
  Fixed bug where domain relaxing wasn't treated correctly if you added it after the TinyMCE script element.
  Fixed bug where the activeEditor wasn't set to null if the last editor instance was removed.
  Fixed bug where IE was leaking memory on the onbeforeunload event due to some recently introduced logic. Patch contributed by Options.
  Fixed bug where inserting tables in Safari 4 didn't work due to a new WebKit bug where some element names are reserved.
  Fixed bug where URLs having a :// value in the query string would make it absolute regardless of URL settings.
  Fixed the WebKit specific bug where DOM Ranges would fail if the node wasn't attached to something in a different way.
  Removed the auto_resize option and the resizeToContent method from the tinymce.Editor class. Use the new autoresize plugin instead.
Version 3.2.4.1 (2009-05-25)
  Fixed bug where Gecko browsers would produce an extra space after for example strong when loaded from sub domains.
  Fixed bug where script elements would be removed if they where placed inside a paragraph element.
  Fixed bug where IE 8 would produce 1 item remaining when loading CSS files dynamically with an empty cache.
  Fixed bug where bound events would be removed from other editor instances if a specific one was removed.
  Fixed various bugs and issues with script and style elements inside the editor.
  Fixed so all script contents gets wrapped in CDATA sections so that they can be parsed using a XML parser.
  Fixed so it's impossible for elements marked as closed to have child nodes rendered in output.
Version 3.2.4 (2009-05-21)
  Added new paste_remove_styles/paste_remove_styles_if_webkit option to paste plugin concept contributed by Hadrien Gardeur.
  Added new functionality to paste plugin contributed by Scott Eade aka monkeybrain.
  Added new paste_block_drop option to the paste plugin this is disabled by default and will block any drag/drop event.
  Added new bind/unbind methods to DOMUtils these works like Event.add/Event.remove but is easier to access.
  Added new paste_dialog_width/paste_dialog_height options to paste pluign. Enables you to change the dialog sizes.
  Fixed bug on IE 8 where it would sometimes produce a "1 item remaining" status message that would never finish.
  Fixed bug on Safari 4 beta that would produce DOM Range exceptions on the DOMUtils split method since the browser has a bug.
  Fixed bug where the paste plugin could accidentally think that some word sentences was supposed to be list elements.
  Fixed bug where paste plugin would produce one extra empty undo level on some browsers.
  Fixed bug where spans wasn't produced correctly on new line when the keep_styles option was enabled.
  Fixed bug where the caret would be placed at the beginning of contents in IE 8 if you selected colors from the color pickers.
  Fixed so the Event class is a normal class instead of a static one. The tinymce.dom.Event is now a global instance of that class.
  Fixed so internal events for instances gets removed when the DOMUtils instance is removed.
  Fixed so preventDefault and stopPropagation methods can be used on the event object in all browsers.
Version 3.2.3.1 (2009-05-05)
  Fixed bug where paragraphs containing form elements such as input or textarea would be removed.
  Fixed bug where some IE versions would produce a wrapper function for events attributes.
  Fixed bug where table cell contents could be removed if you pressed return/enter at the end of the cell contents.
  Fixed bug where the paste plugin would remove a extra character if the selection range was collapsed.
  Fixed bug where creating tables with % width wouldn't be handled correctly on WebKit browsers.
Version 3.2.3 (2009-04-23)
  Added new paste plugin logic. This new version will autodetect Word contents and clean it up.
  Added a optional root element argument to getPos so you can tell it where to stop the calculation.
  Added new DOM ready logic to remove the usage of document.write. We now use basically the same method as jQuery.
  Fixed bug where WebKit browsers would fail when selecting all contents in the area using Ctrl+A.
  Fixed bug where IE would produce paragraphs with empty inline style elements.
  Fixed bug where WebKit browsers would fail when inserting tables with a non pixel width.
  Fixed bug where block elements could get a redundant br element at the end of the element.
  Fixed bug where the tabfocus plugin only worked with a single editor instance on page.
  Fixed bug where IE 8 was loosing caret position if the selection was collapsed and a menu was clicked.
  Fixed bug with application/xhtml+xml mode where menus wasn't working properly.
  Fixed bug where the onstop workaround fix for IE would produce errors in an ASP update panel.
  Fixed bug where the submit function override could produce errors if executed in the wrong scope.
  Fixed bug where the area element wasn't closed by a short ending.
  Fixed various number issues in the style plugins properties dialog. Contributed by datpaulchen.
  Fixed issues with size suffix values in the style plugin dialog.
  Fixed issue where hasDuplicate variable would leak out to the global space due to a bug in the Sizzle engine.
  Fixed issue where the paste event would fire a dialog warning on IE since we extracted the text contents.
  Updated Sizzle engine to the latest version, this version fixes a few bugs that was reported.
Version 3.2.2.3 (2009-03-26)
  Fixed regression bug with the getPos method, it would return invalid if the view port was to small.
Version 3.2.2.2 (2009-03-25)
  Fixed so the DOMUtils getPos method can be used cross documents if needed.
  Fixed bug where undo/redo wasn't working correctly in Gecko browsers.
Version 3.2.2.1 (2009-03-19)
  Added support for tel: URL prefixes. Even though this doesn't match any official RFC.
  Fixed so the select method of the Selection class selects the first best suitable contents.
  Fixed bug where the regexps for www. prefixes for link and advlink dialogs would match wwwX.
  Fixed bug where the preview dialog would fail to open if the content_css wasn't defined. Patch contributed by David Bildstr�m (ChronoZ).
  Fixed bug where editors wasn't converted in application/xhtml+xml mode due to an issue with Sizzle.
  Fixed bug where alignment would fail if multiple lines where selected.
  Updated Sizzle engine to the latest version, this version fixes a few bugs that was reported.
Version 3.2.2 (2009-03-05)
  Added new CSS selector engine. Sizzle the same one that jQuery and other libraries are using.
  Added new is and getParents methods to the DOMUtils class. These use the new Sizzle engine to select elements.
  Added new removeformat_selector option, enables you to specify a CSS selector pattern of elements to remove when using removeformat.
  Fixed so the getParent method can take CSS expressions when selecting it's parents.
  Added new ant based build process, includes a new javabased preprocessor and a yuicompressor ant task.
  Moved the tab_focus logic into a plugin called tabfocus, so the old tab_focus option has been removed from the core.
  Replaced the TinyMCE custom unit testing framework with Qunit and rewrote all tests to match the new logic.
  Moved the examples/testcases to a root directory called tests since it now includes slickspeed.
  Fixed bug where nbsp wasn't replaced correctly in ForceBlocks.js. Patch contributed by thorn.
  Fixed bug where an dom exception would be thrown in Gecko when the theme_advanced_path path was set to false under xml application mode.
  Fixed bug where it was impossible to get out of a link at the end of a block element in Gecko.
  Fixed bug where the latest WebKit nightly would fail when changing font size and font family.
  Fixed bug where the latest WebKit nightly would fail when opening dialogs due to changes to the arguments object.
  Fixed bug where paragraphs wasn't added to elements positioned absolute using classes.
  Fixed bug where font size values with dot's like 1.4em would produce a class instead of the style value.
  Fixed bug where IE 8 would return an incorrect position for elements.
  Fixed bug where IE 8 would render colorpicker/filepicker icons incorrectly.
  Fixed bug where trailing slashes for directories in URLs would be removed.
  Fixed bug where autostart and other boolean values in the media dialog wouldn't be stored/parsed correctly.
  Fixed bug where the repaint call for the media plugin wouldn't be executed due to a typo in the source.
  Fixed bug where id attribute of object elements wasn't kept intact by the media plugin.
  Fixed bug where preview of embeded elements when the media_use_script option was used would fail.
  Fixed bug where inlinepopups could be rendered at an incorrect location on IE 6 while dragging.
  Fixed bug where the blocker shim could be placed at an incorrect location on IE 6.
  Fixed bug where the multiple and size attributes of select elements would produce incorrect values while running in IE.
  Fixed bug where IE would loose the caret position is you selected a color from the color drop down.
  Fixed bug where remove format wouldn't work on IE since it couldn't remove span elements that had style information.
  Fixed bug where Opera was removing links when removing formatting from selected contents.
  Fixed bug where paragraphs could be produced inside non positional elements styled with the CSS position value of static.
  Fixed bug where removeformat wouldn't work if you selected part of a span in IE.
  Fixed bug where media plugin didn't retain the style attribute on embed/object elements.
  Fixed bug where auto focus on empty editor instances could produce strange results if you inserted an image into it.
  Fixed bug where &nbsp; characters would be removed in FF when inserted with the mceInsertContent or selection.setContent methods.
  Fixed bug where warning message of missing paste support wasn't displayed on WebKit browsers.
  Fixed bug where anchor links could include other links. The selected range is now unlinked before adding news links to it.
  Fixed memory leak when TinyMCE was used with prototype. Patch contributed by James Ots.
  Fixed so the non documented fullpage_hide_in_source_view option for the fullpage plugin works again in the 3.x branch.
  Fixed so tables doesn't get inserted into paragraphs by default since it's not W3C valid. Can be disabled by using the fix_table_elements option.
  Fixed so the source view dialog sets a source_view state to the event object. Enables plugins to intercept the source view mode.
  Fixed various validation issues with the html dialogs and pages.
  Removed ask mode option since there is way better ways of doing this now. Use the add/remove control methods instead.
  Removed logic for compatibility with Safari 2.x, this browser is no longer supported since no one is using it.
  Removed the auto domain relaxing feature. If loading scripts cross sub domains it's better to specify the document.domain by hand.
Version 3.2.1.1 (2008-11-27)
  Added new theme_advanced_default_background_color/theme_advanced_default_foreground_color options. Patch contributed by David Bildstr�m (ChronoZ).
  Fixed font style formatting compatibility issue with Adobe Air.
  Fixed so legacy font elements get converted into spans even if cleanup_on_startup isn't enabled.
  Fixed bug where pre elements could be incorrectly modified by an IE bug workaround. Patch contributed by hu vime.
  Fixed bug where input elements inside inlinepopups wasn't editable in Firefox 2.
  Fixed bug where the xhtmlxtras plugin wasn't replacing attribute values correctly.
  Fixed bug where menu buttons in skin variants would look strange due to IE 8 fixes.
  Fixed bug where WebKit browsers would on backspace take you back to the previous page if the editor was empty.
  Fixed bug where DOMUtils decode method wouldn't handle strings larger than 4096kb due to node chunking.
  Fixed bug where meta key wasn't handled as ctrl key on Mac OS X for custom keyboard short cuts.
  Fixed bug where init event would get fired twice on WebKit on Mac OS X.
Version 3.2.1 (2008-11-04)
  Added support for custom icon image for drop menus. Use icon_src to set a custom image directly.
  Added new media_strict option to media plugin. Enables you to control if the flash embed is strict or not. Enabled by default.
  Fixed so the editors script files gets dynamically loaded without using XHR or eval.
  Fixed so the media plugin outputs valid XHTML object elements for Flash movies. Can be disabled with the media_strict option.
  Fixed so dynamic loading doesn't require eval calls on non IE browsers for better Air support.
  Fixed bug where the editor wasn't treated as empty if the remaining paragraph had attributes.
  Fixed bug where id's of elements was removed ones they got wrapped in paragraphs. Patch contributed by ChronoZ.
  Fixed bug where WebKit browsers where placing list elements inside paragraph elements.
  Fixed bug where inserting images or links would produce absolute urls on WebKit browsers.
  Fixed bug where values for checked, readonly, disabled and selected attributes was incorrect on IE.
  Fixed bug where positive values for checked, readonly, disabled and selected attributes wasn't forced to valid values.
  Fixed bug where selecting the first option in a native select box would produce an undefined error.
  Fixed bug where tabindex 32768 could be outputted on IE if element attributes where cloned.
  Fixed bug where the media dialogs preview window would display incorrect contents due to duplicate clsid prefixes.
  Fixed bug where non pixel or percent heights for textarea elements would produce errors on IE.
  Fixed bug where cdata sections in script elements wasn't handled correctly.
  Fixed bug where nowrap of table cells would produce a 65535 value output.
  Fixed bug where media plugin would produce an error if you selected the first item in the items list.
  Fixed bug where media plugin would modify links with the item _value in them.
  Fixed so table width/height is better forced if inline_styles is enabled. Patch contributed by daKmoR.
  Fixed css for IE 8 such as opacity and other rendering quirks.
Version 3.2.0.2 (2008-10-02)
  Fixed bug where the SelectBox and NativeSelectBox wasn't updated correctly if undefined was passed to them.
  Fixed bug where the style dropdown wasn't correctly changed back to it's original state when element had no class.
  Fixed bug where multiple pending font styles wasn't handled correctly.
  Fixed so you can disable all auto css loading for dialogs by setting the popups_css option to false.
Version 3.2.0.1 (2008-09-17)
  Fixed bug where font sizes and faces wouldn't be changed correctly when there was a parent with a different style.
  Fixed bug where adding fonts to the same selection would produce redundant spans.
Version 3.2 (2008-09-11)
  Added new text style support, it will now use span elements internally instead of font elements.
  Added new improved support for the theme_advanced_font_sizes option, check the Wiki for details.
  Added new keep_style setting that maintains the text style on return/enter on non IE browsers, enabled by default.
  Added new onBeforeSetContent/onBeforeGetContent/onSetContent/onGetContent events to the Selection class.
  Added new selectByIndex method to ListBox class. This enables you to select list items by an index instead of a value.
  Added new possibility to the select method of the ListBox class. This can now have a selector function as it's value argument.
  Added new possibility to skip the loading of popups css by setting the feature popup_css to the value false.
  Added new possibility to skip translation of popups by setting the translate_i18n feature to false.
  Added new element_format option enables you to produce HTML element endings instead of XHTML. But we are still in the XHTML is better camp.
  Added missing allowfullscreen and quality options for flash elements, this will now get correctly stored.
  Fixed bug where table cell dialog didn't close properly unless the accessibility_warnings option was set to false.
  Fixed bug where the modal dialog blocker element for inlinepopups wasn't placed at a correct location if the page had scroll.
  Fixed bug where non inline dialogs didn't close correctly if the inlinepopups plugin was used.
  Fixed bug where non inline dialogs could make the modal dialog blocker to work incorrectly.
  Fixed bug where style select wasn't populated correctly if you pressed the arrow. Patch by Hari Karam Singh.
  Fixed bug where toggling the fullscreen mode didn't restore scrollbars on IE when the editor was inside a frame. Patch by Jacob Barrett.
  Fixed bug where inserting flash contents using the template plugin didn't work correctly.
  Fixed bug where inserting flash contents using the selection.setContent or mceInsertContent command didn't work correctly.
  Fixed bug where IE would produce an exception if a comment started with -.
  Fixed bug where the blockquote button would wrap lists incorrectly on non IE browsers.
  Fixed bug where Opera would display BR elements in the element path.
  Fixed bug where xhtmlxtras didn't insert elements correctly on IE.
  Fixed bug where the buttons wasn't activated correctly in the xhtmlxtras plugin.
  Fixed bug where adding an object as the style attribute for the dom setAttribs method wouldn't work.
  Fixed bug where the background color would bleed out to parent container element in Gecko.
  Fixed bug where the insert column actions for tables would fail if you did it in a thead or tfoot. Patch contributed by T Andersen (tan73).
  Fixed bug where event blocker element wasn't positioned correctly for the inlinepopups plugin.
  Fixed bug where pasting from Office 2007 would produce an odd comment in the contents.
  Fixed bug where the paste as plain text could remove an extra character. Patch contributed by Speednet.
  Fixed bug where some characters where missing for the paste_replace_list option. Patch contributed by Speednet.
  Fixed bug where removing non existing editor instances by the mceRemoveControl command would produce an error.
  Fixed bug where meta elements with the name description would produce errors in IE.
  Fixed bug where color and background colors wouldn't be updated properly.
  Fixed bug where the createMenuButton of tinymce.ControlManager didn't implement the last class argument.
  Fixed bug where the editor_css option was relative from the TinyMCE installation directory not the current page.
  Fixed bug where elements wouldn't be padded if the element contained bogus br elements. For example TD elements.
  Fixed bug where parsing of <body > in fullpage plugin would produce an error.
  Fixed bug where relative urls with just ./ would become an empty string.
  Fixed bug where outdent button would be disabled if inline_styles where set to false.
  Fixed bug where replace with an empty search string would produce an error on IE.
  Fixed bug where restoring the overflow state of the body in fullscreen plugin running on IE would produce vertical scrollbars.
  Fixed bug where pressing return/enter in list items would sometimes move the caret the to top of the content area in FF.
  Fixed bug where the style listbox wouldn't be updated correctly if you used the use_native_selects option.
  Fixed bug where WebKit browsers would produce a div element when ending list elements using return.
  Fixed so translation of popup contents only occurs if it's needed.
  Optimized the URI object in regards or converting absolute URIs to relative URIs.
Version 3.1.1 (2008-08-18)
  Added new getSize method to DOMUtils it will return the dimensions only of an element.
  Added new alert/confirm methods to the tinyMCEPopup class to prevent focus problems and also to shorten method calls.
  Added new plugin_preview_inline option to preview plugin to enable/disable native/inline dialogs.
  Added new readonly option. If this is set the editor will only display the contents for the user.
  Added missing tabindex and accesskey to input elements in the default valid_elements setup.
  Updated firebug lite to 1.2, to enable it use the tiny_mce_dev.js?debug=1 on the development package.
  Fixed so the preview dialog in the preview plugin uses inline dialogs/popups.
  Fixed so CDATA sections remains intact through the serialization process of the DOM tree.
  Fixed various issues with the getAttrib command. It will now return more correct values.
  Fixed bug where the embed element wasn't properly parsed in the media plugin it now supports 3 formats.
  Fixed bug where the noshade attribute was serialized incorrectly on IE.
  Fixed bug where editing an existing link element didn't force it relative.
  Fixed bug where image link creation fails on Safari if the image is aligned.
  Fixed bug where it was possible to scroll the fullscreen mode in Opera 9.50.
  Fixed bug where removal of center image alignment would fail. Patch contributed by Andrew Ozz.
  Fixed bug where inlinedialogs didn't work properly if the doctype was incorrect in IE.
  Fixed bug where cross domain loading didn't work correctly in Opera 9.50.
  Fixed bug where breaking huge text blocks with return/enter key would scroll to end of block.
  Fixed bug where replace button kept inserting the replacement text even if there is no more matches.
  Fixed bug with fullpage plugin where value wasn't set correctly. Patch contributed by Pascal Chantelois.
  Fixed bug where the dom utils setAttrib method call could produce an exception if the input was null/false.
  Fixed bug where pressing backspace would sometimes remove one extra character in Gecko browsers.
  Fixed bug where the native confirm/alert boxes would move focus to parent document if fired in dialogs.
  Fixed bug where Opera 9.50 was telling you that the selection is collapsed even when it isn't.
  Fixed bug where mceInsertContent would break up existing elements in Opera and Gecko.
  Fixed bug where TinyMCE fails to detect some keyboard combos on Mac, contributed by MattyRob.
  Fixed bug where replace all didn't move the caret to beginning of text before searching.
  Fixed bug where the oninit callback wasn't executed correctly when the strict_loading_mode option was used, thanks goes to Nicholas Oxhoej.
  Fixed bug where a access denied exception was thrown if some other script specified document.domain before loading TinyMCE.
  Fixed so setting language to empty string will skip language loading if translations are made by some backend.
  Fixed so dialog_type is automatically modal if you use the inlinepopups plugin use dialog_type : "window" to re-enable the old behavior.
Version 3.1.0.1 (2008-06-18)
  Fixed bug where the Opera line break fix didn't work correctly on Mac OS X and Unix.
  Fixed bug where IE was producing the default value the maxlength attribute of input elements.
Version 3.1.0 (2008-06-17)
  Fixed bug where the paste as text didn't work correctly it encoded produced paragraphs and br elements.
  Fixed bug where embed element in XHTML style didn't work correctly in the media plugin.
  Fixed bug where style elements was forced empty in IE. The will now be wrapped in a comment just like script elements.
  Fixed bug where some script elements wrapped in CDATA could fail to be serialized correctly.
  Fixed bug where FF 3 produced -moz- internal styles in some style attributes.
  Fixed bug where query strings and external URLs didn't work correctly in style attributes.
  Fixed bug where shape attribute of area elements got serialized as rect regardless of it's initial value in IE 6.
  Fixed bug where selection of elements inside layers would fail in IE since focus was moved to the document body.
  Fixed bug where pressing enter/return in an editable select box would produce an __mce_add_custom__ class value.
  Fixed bug where changing font size of text placed inside a colored text chunk would remove the parent node.
  Fixed bug where Opera 9.5 final produced a strange line break behavior due to a workaround for previous Opera versions.
  Fixed bug where text/background color would produce a strange focus problem when you tried to click on the body in IE.
  Fixed issue where selecting the title of an listbox equals the old 2.x behavior of changing the value to an empty string.
  Fixed issue where it was common for the media plugin to break if the _value attribute wasn't added for the param element.
  Fixed issue where the wrong parent editor instance might be updated if you use fullscreen mode in an incorrect way.
  Fixed issue where Safari was producing a warning about the base element not being closed correctly.
  Removed redundant form element name matching from regexp in the DOMUtils class.
Version 3.0.9 (2008-06-02)
  Added new contextmenu_offset_x/contextmenu_offset_y options for the contextmenu plugin.
  Added cite attribute to the default rule for the blockquote element.
  Added support for using arrow keys for selection of items in listboxes.
  Added support for using arrow keys for selection of items in dropmenus.
  Fixed bug where blockformat change on elements with BR inside them didn't change correctly on Firefox.
  Fixed bug where removing table rows inside thead or tfoot would remove the whole table if it was the last one.
  Fixed bug where XHR synchronous mode didn't execute the callback handlers synchronously.
  Fixed bug where setting border to 0 didn't add border: 0 to the style attribute when using the advimage dialog.
  Fixed bug where the selection of images and table cells didn't work correctly when the editor is placed in a frame and running on IE.
  Fixed bug where the store/restore of a selection didn't work correctly in non IE browsers.
  Fixed bug where only the first element would be invalid for the invalid_elements option.
  Fixed bug where paste as plain text didn't encode the characters correctly when they where inserted.
  Fixed bug where HTML source window couldn't be maximized on Gecko when the maximizable feature was enabled.
  Fixed bug where color selection using the color picker could produce exception in IE.
  Fixed bug where font size changes could produce produce extra redundant elements.
  Fixed bug where IE could produce unknown runtime error if you replaced a image with another image from a separate frame.
  Fixed bug where the domLoaded state for the Event class wasn't set correctly if the editor was loaded dynamically using the gzip compressor.
  Fixed bug where handling of the base element for a page would produce incorrect urls. Based on a patch contributed by John LeSueur.
  Fixed bug where table constraint alert boxes was presented with an empty value and wasn't the skinned inline ones.
  Fixed bug where the onChange event wasn't fired when the form was submitted. It's now also triggered when the save method is called.
  Fixed bug where encoding set to xml didn't work as expected. It now encodes the contents into XML entities.
  Fixed bug where numrows didn't work correctly for the merge cells dialog of the table plugin.
  Fixed bug where the onGetContent event was fired even when the no_events flag was set.
  Fixed bug where the preview panels for the advimage and the media plugin could overflow on Safari and FF 3.
  Fixed bug where the editing and removal of abbr elements using the xhtmlxtras plugin working correctly on IE.
  Fixed bug where save button in the save plugin didn't work correctly on IE.
  Fixed bug where dragging layers didn't work as expected since it would snap back to it's original location if you saved.
  Fixed bug where the description of the template plugin dialog wasn't updated correctly.
  Fixed bug where the values for frame and rules in the table dialogs where swapped.
  Fixed bug where the elements like ins, del, cite, acronym and abbr didn't have the default editing style as the old 2.x branch.
  Fixed bug where ask mode would lock the focused textarea if you pressed cancel in the confirm dialog on FF 3.
  Fixed bug where ask mode would produce contents for empty textareas if you reloaded the page.
  Fixed so the onGetContent event gets the full pass through object just like the other events.
  Fixed so attributes for block elements remains the same when you change format of a element.
Version 3.0.8 (2008-04-30)
  Fixed bug where IE would produce an error if textareas without names where converted.
  Fixed bug where editor wasn't forced empty when there was only a single br or empty paragraph left.
  Fixed bug where IE would produce an warning message if object elements where produced in the media plugins preview running on https.
  Fixed bug where new addVer function didn't handle hash items correctly. Patch contributed by Mirek Burkon.
  Fixed bug where font_size_style_values option wasn't applied correctly to fonts inside the editor.
  Fixed bug where image selection could be lost if a image was edited using context menu on IE.
  Fixed bug where style values wasn't updated properly due to an invalid regexp.
  Fixed bug where IE 6 where displaying warning message about insecure items when inserting an image while using https. Patch contributed by Norifumi Sunaoka.
  Fixed bug where IE was producing an auto save message if you selected a color from the color split button.
  Fixed bug where backspace sometimes would move the caret to the end of the previous block in Gecko.
  Fixed bug where the rowlayout manager didn't work as described in the documentation.
  Fixed bug where the default options for the fullpage plugin wasn't applied correctly.
  Fixed bug where selection would jump one character if you applied a styles to a words in non IE browsers.
  Fixed bug where undo levels wasn't added correctly if you went back in undo history and added a new event.
  Fixed bug where font size dropdown didn't mark the selected size in IE.
  Fixed bug where the size of the editor was determined using clientWidth instead of offsetWidth.
  Fixed so the onchange event doesn't fire on the initial undo level, it will also fire when the editor is blurred.
  Fixed so the advhr plugin produces XHTML valid output instead of non standard attributes.
  Fixed so blockquote gets converted into [quote] in when the bbcode plugin is enabled.
  Fixed so theme_advanced_font_sizes can be named for example Font 1=1, Font 2=2 etc.
  Fixed so editor_selector/editor_deselector can be regexps. By default only strings are allowed not part regexps like before.
  Fixed so that the version suffix is optional. It still requires the build process so you need to export it manually.
  Fixed so it's possible to tab to table cells in non Gecko browsers and also produce new rows if you tab at the end of a table. Contributed by Josh Peek.
Version 3.0.7 (2008-04-14)
  Added new version suffix to all internal GET requests to make sure that the users cache gets cleared correctly.
  Fixed issue with isDirty returning true event if it wasn't dirty on IE due to changes in tables during initialization.
  Fixed memory leak in IE where if a page was unloaded before all images on the page was loaded it would leak.
  Fixed bug in IE where underline and strikethrough could produce an exception error message.
  Fixed bug where inserting paragraphs in totally empty table cells would produce odd effects.
  Fixed bug where layer style data wasn't updated correctly due to some performance enhancements with the DOM serializer.
  Fixed bug where it would convert the wrong element if there was two elements with the same name and id on the page.
  Fixed bug where it was possible to add style information to the body element using the style plugin.
  Fixed bug where Gecko would add an extra undo level some times due to the blur event.
  Fixed bug where the underline icon would get active if the caret was inside a link element.
  Fixed bug where merging th cells not working correctly. Patch contributed by Andr� R.
  Fixed bug where forecolorpicker and backcolorpicker buttons where rendered incorrectly when the o2k7 skin was used.
  Fixed bug where comment couldn't contain -- since it's invalid markup. It will now at least not break on those invalid comments.
  Fixed bug where apos wasn't handled correctly in IE. It will now convert apos to &#39; on IE since that browser doesn't support that entity.
  Fixed bug where entities wasn't encoded correctly inside pre elements since they where protected from whitespace removal.
  Fixed bug where color split buttons where rendered incorrectly on IE6 when using the non default theme.
  Fixed so caret is placed after links ones they are created, to improve usability of the editor.
  Fixed so you can select tables by clicking on it's borders in non IE browsers to normalize the behavior.
  Fixed so the menus can be toggled by clicking once more on the icon in listboxes, menubuttons and splitbuttons based on code contributed by Josh Peek.
  Fixed so buttons can be labeled, currently only works with the default skin, so it's kind of experimental. Patch contributed by Daniel Insley.
  Fixed so forecolorpicker and backcolorpicker remembers the last selected color. Patch contributed by Shane Tomlinson.
  Fixed so that you can only execute the mceAddEditor command once for the same instance name.
  Fixed so command functions added with addCommand can pass though the call to default handles if it returns true.
Version 3.0.6.2 (2008-04-07)
  Fixed bug where empty tables couldn't be edited correctly on non IE browsers if they where loaded into the editor.
  Fixed bug where it was impossible to resize layers correctly in IE since it thought it was an image.
  Fixed bug where an editor instance was stealing focus in IE resulting in a scroll to the editor on page reloads.
  Fixed bug where Safari was crashing on Mac OS X if you closed dialogs using the Esc key.
Version 3.0.6.1 (2008-04-04)
  Added support for the missing mceAddFrameControl command. The input for this command has changed so consult the Wiki.
  Fixed bug where sub menus for the drop menus would leave an empty element behind.
  Fixed memory leak in IE if the editor was placed in a frame or iframe.
Version 3.0.6 (2008-04-03)
  Added elements to the default value of valid_elements option. It now contains all XHTML strict elements and a few transitional.
  Added more accessibility fixes, it's now possible to navigate and close list boxes and split button menus with the keyboard.
  Added missing getInfo method to the contextmenu and safari plugin, this caused problems for the Drupal module.
  Added new inlinepopups_zindex option to the inlinepopups plugin so that you can configure the default start z-index.
  Added new setControlType method to the tinymce.ControlManager class. This method enables you to override the default classes.
  Added ability to specific an optional control class to use instead of the default one for the ControlManager methods. Based on concept by Josh Peek.
  Fixed bug where attribute rules for the DOM Serializer couldn't contain - or _ characters in their names.
  Fixed bug where inlinepopups event blocker and modal dialog blocker elements produced vertical scrollbars.
  Fixed bug where there was a rendering issue with quirks mode in Safari moving the resize handle to an incorrect position.
  Fixed bug with forecolor/backcolor controls on IE. Sometimes elements positioned relative will generate display errors.
  Fixed bug where a p2 was leaking out in the global name space when you selected a color from the forecolor/backcolor controls.
  Fixed bug where empty paragraphs didn't work as expected in browsers other than IE.
  Fixed bug where the load method of the tinymce.dom.ScriptLoader didn't check if the file was already loaded.
  Fixed bug where the load method for the PluginManager and ThemeManager didn't check if a plugin/theme by a specific name was all ready loaded.
  Fixed bug where the theme_advanced_link_targets option didn't work correctly with the advanced themes link dialog. Patch contributed by Arnold B.
  Fixed bug where the style command would merge classes into empty span elements.
  Fixed bug where the style command would remove empty span elements outside the current selection.
  Fixed bug where the fix for the Safari backspace bug removed all editor contents if it was filled with empty paragraphs.
  Fixed bug where alert and confirm boxes opened by the inlinepopups plugin would produce an exception if domain relaxing was used.
  Fixed bug where Safari was adding style attributes to all elements when you paste them into the editor.
  Fixed bug where the spellchecker menus was visually incorrect since the space for the non existing icon was still there.
  Fixed bug where remove_linebreaks option didn't remove line breaks inside the text contents of a element.
  Fixed bug where Safari 3.1 was introducing _mc_tmp into paragraphs due to the new querySelectorAll and a TinyMCE specific workaround.
  Fixed bug where getParam method in the Editor class was returning incorrect objects and would mess up the font drop down. Patch contributed by speednet.
  Fixed bug where the table dialog would produce an exception in IE when you edited tables since it tried to place focus in a disabled field.
  Fixed bug where class attribute on some span elements was removed on cleanup.
  Fixed bug where resizing the editor in IE could produce an exception if the editor width/height got to be a negative value.
  Fixed bug where wmv files wouldn't play since the src param was used instead of the url param.
  Fixed bug where br elements would be added here and there in Gecko. Geckos internal _moz_dirty br elements where serialized as well.
  Fixed bug where editing named anchors would produce two anchors instead of one updated one.
  Fixed bug where arrow and function keys didn't work when an noneditable element was focused within the editor.
  Fixed bug where the dispatcher could produce an exception if the listener list was altered inside an event callback.
  Fixed bug where it was impossible to totally empty the editor contents on Safari due to an mistreatment of nbsp as whitespace. Patch contributed by Andrew Ozz.
  Fixed bug where TinyMCE would not convert textareas with the same name attribute value. It will now generate an unique id for those textareas.
  Fixed bug where backspace/delete key was deleting td elements inside tables while running on Gecko.
  Fixed bug where Firefox 3.0b4 and Opera 9.26 where scrolling to the top of document when pressing return/enter.
  Fixed bug where the template plugin wasn't just inserting the mceTmpl tagged element.
  Fixed bug where the alert method of the default WindowManager implementation didn't translate input language strings like the inlinepopups dialog does.
  Fixed bugs with the backspace behavior in Gecko. The caret was placed on incorrect locations in the DOM sometimes.
  Fixed so advimage dialog and table dialogs has support for editable select boxes for the class value.
  Fixed so the media, pagebreak and spellchecker doesn't load it's default content.css file if the content_css option is set to false.
  Fixed so the paste_use_dialog option works again it's enabled by default but can be disabled on IE. Patch contributed by Speednet.
  Fixed so that the fullscreen editor is focused when switching fullscreen editing on.
  Fixed so it's possible to edit images and links inside tables using the context menu.
  Fixed so table dialogs and the advanced image dialog doesn't loose selection in IE if the dialogs where navigated/submitted with the keyboard.
  Fixed so the theme_advanced_blockformats options can have named items for example title 1=h1;title 2=h2.
  Fixed so it's possible to add a custom editor_css for the simple theme.
  Fixed quirks with directionality rtl, patch contributed by Andrew Ozz.
  Fixed so the inlinepopups default start zIndex is 300000.
  Fixed typo in media plugin Shockware is now replaced with Shockwave.
  Fixed psuedo memory leak in IE with the replaceChild method inside the DOMUtils.replace method.
  Fixed so memory is released when an editor instance is removed from page.
  Optimized the color split button menus so that they use less event handlers.
  Removed the util/mclayer.js file since it's no longer used by any of the TinyMCE dialogs and is considered deprecated.
Version 3.0.5 (2008-03-12)
  Added new black skin variant to the o2k7 skin contributed by Stefan Moonen.
  Added new explode method to the tinymce core class. This does a split but removed whitespace it also defaults to a , delimiter.
  Added new detection logic for IE 8 standards mode into the DOMUtils class strMode can now be checked to see if that mode is on/off.
  Added new noscale option value for the scale select box for Flash in the media plugin.
  Fixed bug where the menu for the ColorSplitButton wasn't removed when the editor was removed.
  Fixed bug where font colors couldn't be edited correctly since the style of the element didn't get updated correctly.
  Fixed bug where class of elements would get lost when TinyMCE was fixing incorrect HTML markup.
  Fixed bug where table editing would produce double height values.
  Fixed bug where width style value wouldn't be removed if you switched width unit from cm/em to pixels or percent.
  Fixed bug where the search/replace input box wasn't auto focused like the other dialogs.
  Fixed bug where the old mceAddControl command would use the fullscreen settings next time it created an instance.
  Fixed bug where multiple lines where added to the target cell if you merged multiple empty cells.
  Fixed bug where drop down menus would be incorrectly positioned inside scrollable divs.
  Fixed bug where the separators of the silver skin variant didn't display correctly in IE 6.
  Fixed bug where createStyleSheet seems to load scripts at opposite order in some IE versions.
  Fixed bug where directionality could produce odd results for the UI and the dialogs.
  Fixed bug where the DOM serializer wouldn't serialize custom namespaced attributes in IE 6 using the *[*] valid elements rule.
  Fixed bug where table caption would be inserted after the thead element if you swapped a tr to be inside the thead.
  Fixed bug where the youtube detection logic for the media plugin was to generic.
  Fixed so the deprecated and undocumented theme_advanced_path_location set to none won't hide the whole statusbar.
  Fixed so most input lists can have whitespace in them they are now split using the new tinymce.explode method.
  Fixed so the popup_css and popup_css_add URLs are relative to where the current document is located.
  Fixed various bugs and quirks with the store/restore selection logic.
  Fixed so the editor starts in IE 8 standards mode but still that browser is very very buggy.
  Fixed so dialog_type set to modal will block the background and other inline windows and only give access to the front most window.
Version 3.0.4.1 (2008-03-08)
  Fixed critical bug where it was impossible to edit images when inlinepopups where used due to lost selection in IE.
Version 3.0.4 (2008-03-07)
  Added new option constrain_menus, this enables you to force view port constraints on all menus. Contributed by Shane Tomlinson.
  Fixed bug where table background wasn't visible inside the editor due to a default CSS rule overriding the style attribute.
  Fixed bug where links would get a null class added if no styles was used in IE.
  Fixed bug where spellchecker was auto focusing the editor in IE.
  Fixed bug where document.domain would produce invalid argument if the editor was loaded in IE6 over a network UNC path.
  Fixed bug where table height attribute was used, this is deprecated in XHTML so it now adds it as an style.
  Fixed bug where textareas with style values would produce error in IE.
  Fixed so the first element in each dialog is focused by default to enhance keyboard usage.
  Fixed so you can add a mceFocus class to elements to make it auto focused.
  Fixed so you can close dialogs using the esc key.
  Fixed so you can press return/enter to submit the action of each dialog.
  Fixed so tabbing inside an inline popups wont focus the resize anchor elements.
  Fixed so you can press ok in inline alert messages using the return/enter key.
  Fixed so textareas can be set to non px or % sizes for example em, cm, pt etc.
  Fixed so non pixel values can be used in width/height properties for tables.
  Fixed so the custom context menu can be disabled by holding down ctrl key while clicking.
  Fixed so the layout for the o2k7 skin looks better if you don't have separators before and after list boxes.
  Fixed so the sub classes get a copy of the super class constructor function to ease up type checking.
  Fixed so font sizes for the format block previews are normalized according to http://www.w3.org/TR/CSS21/sample.html (it can be overridden).
  Fixed so font sizes for h1-h6 in the default content.css is normalized according to http://www.w3.org/TR/CSS21/sample.html (it can be overridden).
Version 3.0.3 (2008-03-03)
  Fixed bug where an error about document.domain would be thrown if TinyMCE was loaded using a different port.
  Fixed bug where mode exact would convert textareas without id or name if the elements option was omitted.
  Fixed bug where the caret could be placed at an incorrect location when backspace was used in Gecko.
  Fixed bug where local file:// URLs where converted into absolute domain URLs.
  Fixed bug where an error was produced if a editor was removed inside an editor command.
  Fixed bug where force_p_newlines didn't effect the paste plugin correctly.
  Fixed bug where the paste plugin was producing an exception on IE if you pasted contents with middots.
  Fixed bug where delete key could produce exceptions in Gecko sometimes due to the fix for the table cell bug.
  Fixed bug where the layer plugin would produce an visual add class called mceVisualAid this one is now renamed to mceItemVisualAid to mark it internal.
  Fixed bug where TinyMCE wouldn't initialize properly if ActiveX controls was disabled in IE.
  Fixed bug where tables and other elements that had visual aids on them would produce an extra space after any custom class names.
  Fixed bug where search with an empty string would produce some odd "invalid pointer" error in IE.
  Fixed bug where elements like menus where placed at incorrect positions in Opera 9.26.
  Fixed bug where IE was loosing focus of the editor when you clicked some dropmenu and if it was placed in a frame or iframe.
  Fixed bug where focus of images could be lost in IE if you focused the accessibility confirm dialog in the advimage plugin.
  Fixed bug where nestled font elements would produce odd output like missing font elements.
  Fixed bug where text colors and styles got removed if invalid_elements included the font element.
  Fixed bug where text-decoration set to underline or line-through would remove other styles from span elements.
  Fixed bug where editor contents like \n\n would be incorrectly handled and processed as real line feeds.
  Fixed bug where incorrectly encoded urls with ampersands in them would be decoded incorrectly.
  Optimized the DOMUtils decode method to be a lot faster if the string doesn't have any entities to decode.
Version 3.0.2.1 (2008-02-26)
  Fixed alert/confirm dialogs so they display correctly.
Version 3.0.2 (2008-02-26)
  Added new body_id option that enables you to specify the id of the body inside the editor iframe based on ideas by David Bildstr�m (ChronoZ).
  Added new body_class option that enables you to set the class for the body of the editor iframe based on ideas by David Bildstr�m (ChronoZ).
  Added new CSS class to the default content.css files mceForceColors that forces white background and black text can be used with the body_class option.
  Added new type parameter to the Editor.getParam function to reduce redundant logic for parsing hash tables.
  Added new isDone method to the ScriptLoaded class, this enables you to check if a script has been loaded or not.
  Added new resizeTo and resizeBy methods for the advanced theme. Can be called using tinyMCE.activeEditor.theme.resizeTo(w, h);
  Added new skin_variant option this can be used to extend existing skins with slight modifications like color.
  Added new variant of the o2k7 skin called "silver" based on a contribution made by Stefan Moonen.
  Fixed bug where the template plugin might produce errors if the template_mdate_classes wasn't configured.
  Fixed bug where the media plugin didn't convert the URLs for movies once they where inserted.
  Fixed bug where the style field for the advlink dialog didn't work correctly if you edited an existing link.
  Fixed bug where alignment of toolbars would fail in editor was uses in a quirks mode on IE, fix contributed by Peter Wood & Art Lawry.
  Fixed bug where initialization of multiple editors at the same time using the mceAddControl method would produce errors.
  Fixed bug where initialization of editors using mceAddControl command or new tinymce.Editor calls would fail during page load.
  Fixed bug where the check for domain relaxing could fail if the document.domain property was changed by another script.
  Fixed bug where textareas couldn't be named description or any other name that matches the meta elements in IE and Opera.
  Fixed bug where the element path would fail sometimes in IE due to "unknown runtime error" on innerHTML.
  Fixed bug where Safari would crash if you was hiding the editor before serializing the contents.
  Fixed bug where the editor wasn't scaled propertly in fullscreen mode using the old fullscreen_new_window option.
  Fixed bug where render method didn't load language packs in IE and Opera if you rendered an editor during page load.
  Fixed bug where resizing the browser window in fullscreen didn't resize the editor.
  Fixed bug where the blockquote command didn't move the caret inside the new empty blockquote if you used it on an empty document.
  Fixed bug where auto in a style width/height for the textarea would produce an editor with the size value of 100. Fix contributed by Shane Tomlinson.
  Fixed bug where restoration of selection at the beginning of an element could fail in Gecko.
  Fixed bug where caret restoration after a cleanup could place the it at an incorrect location.
  Fixed bug where delete key inside td elements would delete the cell in Gecko.
  Fixed so the blockquote button toggles individual lines. This behavior is a bit more like the old indentation behavior in the 2.x branch.
  Fixed so the dialog language packs only gets loaded the first time you open a dialog.
  Fixed so all classes in the whole UI is prefixed with "mce" to avoid collisions, use the skin converter to update your existing skins.
  Fixed so all classes in the inlinepopups logic is prefixed with "mce" to avoid collisions, use the skin converter to update your existing skins.
  Fixed so that the window in fullscreen mode can be resized when fullscreen_new_window option is enabled.
  Fixed so blockquote elements are formatted in the source output with an linefeed before and after it.
  Optimized the editor initialization by reducing the number of calls to getBookmark/moveToBookmark.
Version 3.0.1 (2008-02-21)
  Added spellchecker plugin into the main package, but without any backend can be specified with the spellchecker_rpc_url option.
  Added src attribute for script elements to the default valid_elements option value.
  Added extra parameter to the class_filter callback it can now also filter out classes based on the whole CSS rule.
  Added support for domain relaxing, TinyMCE can now be loaded from an remote domain as long as they are on the same root domain.
  Added support for custom elements the new custom_elements option enables you to add non HTML elements to the editor.
  Added support for the W3C Selectors API that was added to latest nightly build of WebKit.
  Fixed bug where some object param element wasn't stored correctly using the media plugin.
  Fixed bug where Opera was scrolling to top of page is drop menus on list boxes where displayed.
  Fixed bug where IE6 was crashing if a format block was used on a container with anchor elements.
  Fixed bug where spans with font sizes wasn't handled correctly when editor was loading contents.
  Fixed bug where mode exact couldn't convert editors with name only. Id is no longer required but recommended.
  Fixed bug where the mceInsertRawHTML command produced an extra undo level.
  Fixed bug where the specific_textareas mode didn't work correctly this is the same thing as textareas now.
  Fixed bug where the values of input elements in the HTML page of dialogs pages where changed in IE.
  Fixed bug where fullscreen and fullpage plugins didn't work well together.
  Fixed bug where embed elements wasn't handled properly in the media plugin.
  Fixed bug where style information on span elements gets munged when fonts are converted to spans.
  Fixed bug where some entities in element attributes where encoded incorrectly in the latest WebKit build.
  Fixed bug where initialization would fail in IE if there where two input elements with the name submit in the form.
  Fixed bug where fullscreen mode didn't work correctly in IE when the fullscreen_new_window option was used.
  Fixed bug where invalid contents like an ul inside a p element would produce odd results in IE.
  Fixed bug where Opera 9.2x was placing the drop menus at incorrect locations if the editor was placed in a table.
  Fixed bug where Opera was producing odd results if enter/return was pressed while having forced_root_blocks disabled.
  Fixed bug where layer plugin was stealing focus in IE on initialization.
  Fixed bug where body attributes wasn't set properly in the fullpage plugin, fix contributed by Hiroaki Kawai.
  Fixed bug where insert image and insert link dialogs where producing an extra level in the undo history.
  Fixed bug where Gecko would produce an error if empty elements like <div></div> where inserted using mceInsertContent.
  Fixed bug where center alignment of images produced odd results inside table cells.
  Fixed bug where center alignment of images couldn't be toggled correctly.
  Fixed bug where alignment of images inside tables would produce double float style items in IE if the fix_table_elements option was enabled.
  Fixed bug where a variable called 'v' was polluting the global namespace. Objects tinymce and tinyMCE are the only ones allowed to be global.
  Fixed bug where insert table from context menu couldn't insert new tables inside existing tables.
  Fixed bug where Safari wouldn't produce br elements on enter when the force_br_newlines option was enabled.
  Fixed bug where switching cell type in table cell dialog would produce odd attributes in IE.
  Fixed bug where Gecko was outputting internal attributes if valid_elements where set to "*[*]".
  Fixed bug where the style plugin would produce non hex colors inside the dialog when running on Gecko.
  Fixed bug where an empty src value for insert image would remove the currently selected image if it wasn't and image element.
  Fixed bug where hidden input elements would break the logic for the tab_focus option.
  Fixed bug where save button wasn't working correctly in fullscreen mode.
  Fixed bug where the editor was forced to be placed in a form element if the save_onsavecallback option was used.
  Fixed bug where upper case param attributes wasn't parsed correctly in the media plugin.
  Fixed bug where render method of tinymce.Editor class would produce an exception if the strict_loading_mode option was omitted.
  Fixed bug where nodeChanged event could be fired while the editor was loading and there for produce an exception in FF.
  Fixed bug where no undo levels where added if the user created new table rows using the tab key on Gecko.
  Fixed bug where tables would be broken if you selected a different block format for contents withing an table cell.
  Fixed bug where the render method of the tinymce.Editor class didn't setup the tinymce.EditorManager.settings object correctly.
  Fixed bug where the advanced image dialog would go to the first tab if the alternative image was changed using the file browser link.
  Fixed bug where the forced_root_block option would produce BR elements inside empty blocks if the block wasn't a paragraph.
  Fixed bug where the forced_root_block doesn't work correctly on IE if the specified element was something else than paragraphs.
  Fixed bug where selection of images would get lost if user selected something from the context menu in IE.
  Fixed bug where the context menu plugin would pollute the global namespace with two variables p1 and p2.
  Fixed compatibility issue with Mootools, it is destroying document.getElementById on unload in IE. (Mantra: You don't own the internal objects).
  Fixed bugs where dialogs/tabs and other UI elements where rendered incorrectly in Firefox 3.
  Fixed so the auto CSS class importer is compatible with 2.x.
  Fixed so the editor UI and inlinedialogs works correctly with the YUI CSS reset package.
  Fixed so header and footer elements are forced to lower case when the fullpage plugin is used.
  Fixed so load prefixes "-" for plugins and themes isn't required if the plugin/theme was loaded by the ThemeManager/PluginManager.
  Fixed so the JSONRequest uses application/json content type to make Ruby on rails happy.
  Fixed so the CSS rule is more exact for the body in the default content.css files. Body is now defined as "body.mceContentBody" instead of just "body".
  Fixed so the tiny_mce_dev.js uses XHR instead of document.write to load scripts to resolve an issue with Opera 9.50.
  Fixed so language pack loading can be disabled by setting the language option to false. Can be useful for systems with their own language pack management.
Version 3.0 (2008-01-30)
  Added map and area elements to the default valid_elements list and also some indentation rules.
  Fixed bug where empty paragraphs wasn't padded when loading contents.
  Fixed bug where the RowLayout manager didn't work at all.
  Fixed bug where style attribute data would get messed up in advimage dialog.
  Fixed bug where the table dialogs class select wasn't updated correctly.
  Fixed bug where elements would get extra whitespace around on insert when body was present in valid_elements.
  Fixed bug where coords attribute of the area element wasn't handled properly in IE.
  Fixed bug where Safari didn't produce BR elements on shift+return.
  Fixed bug where force blocks would cast odd invalid attribute exception in IE.
  Fixed bug where media plugin would produce extra whitespace before and after objects.
  Fixed bug where cleanup_callback could break the contents of the editor. But use the new event system instead of this option.
  Fixed bug where the tab_focus option didn't work between editor instanced. You can now tab between editors.
  Fixed bug where the load function of the ScriptLoader class didn't load single files without the load que as it was supposed to.
  Fixed bug where the execcommand_callback parameter order was incorrect. Recommendation use the new addCommand method.
  Fixed bug where range.select calls sometimes failed on some IE versions.
  Fixed bug where Safari was scrolling to top of document when enter/returned was pressed.
  Fixed bug where fullscreen_new_window option didn't work correctly.
  Fixed bug where the nonbreaking plugin inserted an space instead of an non breaking space the first time.
  Fixed bug where the visualization of non breaking spaces where visual in element path.
  Fixed so the focus is restored to the editor after inserting an custom character.
  Fixed so the isNotDirty state is set to false if a new undo level is added.
  Fixed so pointless style information for borders gets removed in IE.
  Fixed so the resize button has a se-resize cursor css value.
Version 3.0rc2 (2008-01-18)
  Added new fix_nesting option to fix bug #1867292, this is disabled by default.
  Added new indentation option enables you to specify how much each indent/outdent call will add/remove.
  Added easier support for enabling/disabling icon columns on drop menues.
  Added new menu button control class. This control is very similar to the splitbutton but without any onclick action.
  Added support for previous tab focus (shift+tab). The tab_focus setting now takes two items next and previous element.
  Fixed bug where iframes inside the editor got removed in Firefox on initial load.
  Fixed bug where the CSS for abbr elements wasn't applied correctly in IE.
  Fixed bug where mceAddControl on element inside a hidden container produced errors.
  Fixed bug where closed anchors like <a /> produced strange results.
  Fixed bug where caret would jump to the top of the editor if enter was pressed a the end of a list.
  Fixed bug where remove editor failed if the editor wasn't properly initialized.
  Fixed bug where render call on for a non existing element produced exception.
  Fixed bug where parent window was hidden when the color picker was used in a non inlinepopups setup.
  Fixed bug where onchange event wasn't fired correctly on IE when color picker was used in dialogs.
  Fixed bug where save plugin could not save contents if the converted element wasn't an textarea.
  Fixed bug where events might be fired even after an editor instance was removed such as blur events.
  Fixed bug where an exception about undefined undo levels could be throwed sometimes.
  Fixed bug where the plugin_preview_pageurl option didn't work.
  Fixed bug where adding/removing an editor instance very fast could produce problems.
  Fixed bug where the link button was highlighted when an anchor element was selected.
  Fixed bug where the selected contents where removed if a new anchor element was added.
  Fixed bug where splitbuttons where rendered one pixel down in the default theme.
  Fixed bug where some buttons where placed at incorrect positions in the o2k7 theme.
  Fixed bug that made it impossible to visually disable a custom button that used an image instead of CSS sprites.
  Fixed bug where it wasn't possible to press delete/backspace if the editor was added+removed and re-added due to a FF bug.
  Fixed bug where an entities option with only 38,amp,60,lt,62,gt would fail in IE.
  Fixed bug where innerHTML sometimes generated unknown runtime error on IE.
  Fixed bug where content_css files wasn't loaded in the template preview iframe.
  Fixed bug where scroll position was incorrect when toggling fullscreen mode.
  Fixed bug where restoration of overflow didn't work correctly when disabling fullscreen mode in Opera.
  Fixed bug where drop menus where places at incorrect locations if the editor was placed in a scrollable container element.
  Fixed bug where hideMenu didn't hide sub menus correctly. It will now hide all menus recursively.
  Fixed so theme_advanced_path_location can be used in init options for compatibility reasons.
  Fixed so the drop menu colors matches the rest of o2k7 theme.
  Fixed so the preview example.html file is updated to the new 3.x API.
  Fixed so the margins are the same by default inside the editable area between IE and other browsers.
  Fixed so editor contents gets stored before it the onSubmit event is fired.
Version 3.0rc1 (2008-01-08)
  Added new classes for toolbar rows in advanced theme mceToolbarRow1..n enabled you to change appearance of individual rows.
  Added auto detection for the strict_loading_mode option when running in application/xhtml+xml mode on Gecko.
  Optimized the HTML serializer by bundling some post process methods together.
  Fixed so that the toolbars have unique IDs, enables you to alter the toolbars using the ControlManager and the DOM.
  Fixed bug where delta values for dialog sizes in language packs didn't work correctly due to missing string to number casting.
  Fixed bug where paragraph generation logic didn't handle hr or table elements correctly if they where the only element.
  Fixed bug where some elements got extra linebreaks added after or before it in HTML output.
  Fixed bug where it was hard to modify existing style data on table rows and table cells.
  Fixed bug where the dom.getRect method didn't handle non pixel values correctly.
  Fixed bug where strikethrough and underline couldn't be toggled on existing span elements.
  Fixed bug where the postprocessor searched for nsbp instead of nbsp entities.
  Fixed bug where it was impossible to edit links that had child elements within them.
  Fixed bug where it was possible to click on the parent item of a submenu.
  Fixed bug where mouseover/mouseout images couldn't be removed in advimage dialog.
  Fixed bug where drop menus didn't work when running in application/xhtml+xml mode.
  Fixed bug where Opera added doctype to output in application/xhtml+xml mode.
  Fixed bug where some DOM methods didn't work correctly in the application/xhtml+xml mode.
  Fixed bug where the inlinepopups didn't work correctly in the application/xhtml+xml mode.
  Fixed bug where the ColorSplitButton didn't display correctly in the application/xhtml+xml mode.
  Fixed bug where the UI layout was incorrect on Gecko browsers when running in application/xhtml+xml mode.
  Fixed bug where the word paste plugin produced exception while running in application/xhtml+xml mode.
  Fixed bug where there wasn't any hidden input element generated for divs while running in application/xhtml+xml mode.
  Fixed bug where indentation of script/style/pre elements where incorrect.
  Fixed bug where script element contents was removed in IE.
  Fixed bug where script element contents got entity encoded.
  Fixed bug where you couldn't edit existing element styles using the styles plugin.
  Fixed bug where styles wasn't updated properly sometimes due to an performance enhancement.
  Fixed bug where font sizes couldn't be changed using the style plugin.
  Fixed bug where an error was produced in Gecko browsers when switching back from fullscreen mode.
  Fixed bug where Opera was producing br elements after elements like h3.
  Fixed bug where TinyMCE couldn't be loaded on a page using - characters in it's URL.
  Fixed bug where the editor container element was forced to have a specific name.
  Fixed bug with force_br_newlines option on Firefox, even though it should never be used (Read FAQ).
  Fixed bug where onclick event had an return true; prefix added when creating an popup.
  Fixed bug where the theme_advanced_statusbar_location option couldn't handle the value "none".
  Fixed issue with URLs with multiple at characters for example an Zope URI.
  Fixed so simple and advanced themes doesn't collide.
  Fixed so a elements gets removed when the href field is left empty, the href attribute is required in a link after all.
  Fixed so img elements gets removed when the src field is left empty, the src attribute is required for all images after all.
  Removed the indent and encode methods from the tinymce.dom.Serializer class due to performance enhancement and reduction of the API size.
Version 3.0b3 (2007-12-14)
  Added new getElement method to Editor class, returns the element that was replaced with the editor instance.
  Added new unavailable prefix for disabled controls for accessibility reasons.
  Fixed bug where regexp patterns couldn't be used for the editor_selector/editor_deselector options.
  Fixed bug where the DOM wasn't properly initialized before the onInit event was executed in popups.
  Fixed bug where font sizes where reduced by font size actions on previous spans in Safari.
  Fixed bug where HR elements got places at the wrong location in IE.
  Fixed bug where align/justify didn't work correctly on multiple paragraphs.
  Fixed bug with missing translation for cell scope settings.
  Fixed bug where selection/caret position was lost on some table actions.
  Fixed bug where editor instances couldn't be added to hidden div elements.
  Fixed bug where list elements in Safari would get an odd ID attribute.
  Fixed bug where IE would return <html/> when the editor was completely empty.
  Fixed bug where accessibility title attribute for access keys wasn't setup properly.
  Fixed bug where forecolorpicker and backcolorpicker control names wasn't working.
  Fixed bug where inserting template content didn't work in Safari due to selection exception.
  Fixed bug where absolute URLs to remote hosts couldn't be used for background images.
  Fixed bug where mysterious span elements where produced in Safari when injecting HTML contents.
  Fixed bug where the media plugin didn't work correctly on the latest Opera 9.24.
  Fixed bug where indentation of HTML output wasn't applied to all block elements.
  Fixed bug where Safari was production DOM exception if you pressed enter in an empty editor.
  Fixed bug where media plugin didn't parse script tags correctly patch contributed by Mathieu Campagna.
  Fixed bug where the drop menus of list boxes like blockformat could produce scrolling of the page.
  Fixed bug where the drop menus where placed at an incorrect location if TinyMCE was placed in a scrollable div.
  Fixed bug where submit buttons couldn't be named submit, it's not recommended to name submit buttons submit anyway.
  Fixed bug where the stylelistbox produced an exception if there was only one class in the list box.
  Fixed bug where the stylelistbox wasn't updated correctly when the current class was removed.
  Fixed bug where the formatblock command sometimes removed the body element.
  Fixed bug where fullscreen switching in IE sometimes produced an exception when the spellchecker plugin was enabled.
  Fixed issue where FF produced an empty paragraph when the editor was completely empty.
  Fixed issue with size of image dialog in the advanced theme.
  Fixed issues with the bbcode plugin it now also handles spans and the [font] rule.
  Fixed so the style compression feature is a bit smarter to resolve issues with Opera.
  Reintroduced the remove_linebreaks option, this is enabled by default.
Version 3.0b2 (2007-11-29)
  Added type and compact attributes to the default valid_elements list for the ul and ol elements.
  Added missing accessibility support to native list boxes in both the toolbar and dialogs.
  Added missing access key for the element path for accessibility reasons.
  Fixed support for loading themes from external URLs.
  Fixed bug where setOuterHTML didn't work correctly when multiple elements where passed to it.
  Fixed bug with visualchars plugin was moving elements around in the DOM.
  Fixed bug with DIV elements that got converted into editors on IE.
  Fixed bug with paste plugin using the old event API.
  Fixed bug where the spellchecker was removing the word when it was ignored.
  Fixed bug where fullscreen wasn't working properly.
  Fixed bug where the base href element and attribute was ignored.
  Fixed bug where redo function didn't work in IE.
  Fixed bug where content_css didn't work as previous 2.x branch.
  Fixed bug where preview dialog was throwing errors if the content_css wasn't defined.
  Fixed bug where the theme_advanced_path option didn't work like the 2.x branch.
  Fixed bug where the theme_advanced_statusbar_location was called theme_advanced_status_location.
  Fixed bug where the strict_loading_mode option didn't work if you created editors dynamically without using the EditorManager.
  Fixed bug where some language values wasn't translated such as insert and update in dialogs.
  Fixed bug where some image attributes wasn't stored correctly when inserting an image.
  Fixed bug where fullscreen mode didn't restore scrollbars when disabled.
  Fixed bug where there was no visual representation for tab focus in toolbars on IE.
  Fixed bug where HR elements wasn't treated as block elements so forced_root_block would fail on these.
  Fixed bug where autosave presented warning message even when the form was submitted normally.
  Fixed typo of openBrower it's now openBrowser in form_utils.js.
  Fixed various HTML problems like missing TD elements and duplicated doctypes.
  Fixed default values for theme_advanced_resize_horizontal, theme_advanced_resizing_use_cookie to be 2.x compatible.
  Moved spellchecker JS files into the development package.
  Removed support for theme_advanced_path_location since the theme_advanced_statusbar_location is the correct option name.
Version 3.0b1 (2007-11-21)
  Added new tab_focus option, that enables you to specify a element id or that the next element to be focused on tab key down.
  Added new addQueryValueHandler method to the tinymce.Editor class.
  Added new class_filter option, this enables you to specify a function that can filter out CSS classes for the styles list box.
  Added support form [url=url]title[/url] to the bbcode plugin.
  Renamed the addCommandQueryState method in the tinymce.Editor class to addQueryStateHandler.
  Renamed loadQue to loadQueue, to correct spelling.
  Removed the createDOM method from the window manager and replace it with a createInstance method.
  Removed the add to beginning of class attribute parameter of the DOMUtils.addClass method.
  Fixed bug with the forced_root_block option, didn't work correctly with multiple inline elements.
  Fixed bug where image dialogs replaced the current image element with a new one even when it was updated.
  Fixed bug where the submit trigger wasn't executed when divs where converted into editor instances.
  Fixed bug where div elements that got converted into editors didn't get a hidden input element generated for them.
  Fixed bug where the the media_use_script option for the media plugin wasn't working correctly.
  Fixed bug where the font size and font family listboxes wasn't updated correctly on Safari.
  Fixed bug where the height of the fieldset in default image dialog for the advanced theme was to small.
  Fixed bug where the font sizes behaved incorrectly after a cleanup on Safari.
  Fixed bug where formatblock didn't work correctly in Safari on some elements.
  Fixed bug where template plugin didn't insert content correctly unless some options where specified.
  Fixed bug where charmap on Safari produced scrollbars.
  Fixed bug where there was white artifacts in some dialogs due to missing background color.
  Fixed bug where port was added to all external URLs if the editor was loaded from a custom port.
  Fixed bug where the context menus got duplicated on Safari 3.0.4 on Mac OS X.
  Fixed bug where dialogs like paste from word was huge on Firefox.
  Fixed bug with media plugin not working with windows media objects.
  Fixed bug where a forever loop was created if multiple instances where submitted using form.submit.
  Fixed bug with editing a table produce error in IE when inlinepopups where used.
  Fixed bug where the style plugin generated ugly looking style information in IE.
  Fixed bug where the inline dialogs that got opened while in fullscreen mode wasn't visible.
  Fixed bug where it was difficult to place the caret inside the word paste dialog.
  Fixed bug where Opera produced strange border in the word paste dialog.
  Fixed bug where viewport constraints could move a inlinepopup to a negative x, y position if the viewport was to small.
  Fixed bug where template plugin was producing an error due to a deprecated API call.
  Fixed bug where drag drop of images failed in Gecko if a document_base_url was specified.
  Fixed bug where Firefox 3 failed to apply block formats like H1-H6 it still breaks on DIVs this has been reported to bugzilla.
  Fixed bug where IE was producing a warning dialog about non secure items when running TinyMCE over HTTPS.
  Fixed bug where the onbeforeunload event was triggered when menus or dialogs where opened.
  Fixed bug where the fullscreen mode of the HTML view source box threw an error.
  Fixed bug where the mceFocus command didn't work correctly.
  Fixed bug where the selection could get lost in IE using inlinepopups.
  Fixed so the body of the editor area has the mceContentBody class just like the 2.x branch. 
  Fixed so the media icon gets active when a media element is selected.
Version 3.0a3 (2007-11-13)
  Added new experimental jQuery and Prototype framework adapters to the development package.
  Added new translation.html file for the development package. Helps with the internationalization of TinyMCE.
  Added new setup callback option, use this callback to add events to TinyMCE. This method is recommended over the old callbacks.
  Added new API documetation to all classes, functions, events, properties to the Wiki with examples etc.
  Added new init method to all plugins and themes, since it's shorter to write and it mimics interface capable languages better.
  Fixed various CSS issues in the default skin such as alignment of split buttons and separators.
  Fixed issues with mod_security. It didn't like that a content type of text/javascript was forced in a XHR.
  Fixed all events so that they now pass the sender object as it's first argument.
  Fixed some DOM methods so they now can take an array as input.
  Fixed so addButton and the methods of the ControlManager uses less arguments and it now uses a settings object instead.
  Fixed various issues with the tinymce.util.URI class.
  Fixed bug in IE and Safari and the on demand gzip loading feature.
  Fixed bug with moving inline windows sometimes failed in IE6.
  Fixed bug where save_callback function wasn't executed at all.
  Fixed bug where inlinepopups produces scrollbars if windows where moved to the corners of the browser.
  Fixed bug where view HTML source failed when inserting a embedded media object.
  Fixed bug where the listbox menus didn't display correctly on IE6.
  Fixed bug where undo level wasn't added when editor was blurred.
  Fixed bug where spellchecker wasn't disabled when fullscreen mode was enabled.
  Fixed bug where Firefox could crash some times when the user switched to fullscreen mode.
  Fixed bug where tinymce.ui.DropMenu didn't remove all item data when an item was removed from the menu.
  Fixed bug where anchor list in advlink dialog wasn't populated correctly in Safari.
  Fixed bug where it wasn't possible to edit tables in IE when inlinepopups was enabled.
  Fixed bug where it wasn't possible to change the table width of an existing table.
  Fixed bug where xhtmlxtras like abbr didn't work correctly on IE.
  Fixed bug where IE6 had some graphics rendering issues with the inlinepopups.
  Fixed bug where inlinepopup windows where moved incorrectly when they were boundary checked for min width.
  Fixed bug where textareas without id or name couldn't be converted into editor instances.
  Fixed bug where TinyMCE was stealing element focus on IE.
  Fixed bug where the getParam method didn't handle false values correctly.
  Fixed bug where inlinepopups was clipped by other TinyMCE instances or relative elements in IE.
  Fixed bug where the contextmenu was clipped by other TinyMCE instances or relative elements in IE.
  Fixed bug where listbox menus was clipped by other TinyMCE instances or relative elements in IE.
  Fixed bug where listboxes wasn't updated correctly when the a value wasn't found by select.
  Fixed various CSS issues that produced odd rendering bugs in IE.
  Fixed issues with tinymce.ui.DropMenu class, it required some optional settings to be specified.
  Fixed so multiple blockquotes can be removed with a easier method than before.
  Optimized some of the core API to boost performance.
  Removed some functions from the core API that wasn't needed.
Version 3.0a2 (2007-11-02)
  Fixed critical bug where IE generaded an error on a hasAttribute call in the serialization engine.
  Fixed critical bug where some dialogs didn't open in the non dev package.
  Fixed bug when using the theme_advanced_styles option. Error was thrown in some dialogs.
  Fixed bug where the close buttons produced an error when native windows where used.
  Fixed bug in default skin so that split buttons gets activated correctly.
  Fixed so plugins can be loaded from external urls outsite the plugins directory.
Version 3.0a1 (2007-11-01)
  Rewrote the core and most of the plugins and themes from scratch.
  Added new and improved serialization engine, faster and more powerful.
  Added new internal event system, things like editor.onClick.add(func).
  Added new inlinepopups plugin, the dialogs are now skinnable and uses clearlooks2 as default.
  Added new contextmenu plugin, context menus can now have submenus and plugins can add items on the fly.
  Added new skin support for the simple and advanced themes you can alter the whole UI using CSS.
  Added new o2k7 skin for the simple and advanced themes.
  Added new custom list boxes for font size/format/style etc with preview support.
  Added new UI management, enabled plugins to create controls like splitbuttons or menus easier.
  Added new JSON parser/serializer and JSON-RPC class to the core API.
  Added new cookie utility class to the core API.
  Added new Unit testing class to the core API only available in dev mode.
  Added new firebug lite integration when loading the dev version of TinyMCE.
  Added new Safari plugin, fixes lots compatibility of issues with Safari 3.x.
  Added new URI/URL parsing it now handles the hole RFC and even some exceptions.
  Added new pagebreak plugin, enables you to insert pagebreak comments like <!-- pagebreak -->
  Added new on demand loading of plugins and themes. Enables you to load and init TinyMCE at any time.
  Added new throbber/progress visualization a plugin can show/hide this when it's needed.
  Added new blockquote button. Enables you to wrap paragraphs in blockquotes.
  Added new compat2x plugin. Will provide a TinyMCE 2.x API for older plugins.
  Added new theme_advanced_resizing_min_width, theme_advanced_resizing_min_height options.
  Added new theme_advanced_resizing_max_height, theme_advanced_resizing_max_height options.
  Added new use_native_selects option. Enables you to toggle native listboxes on and off.
  Added new docs_url option enables you to specify where the TinyMCE user documentation is located.
  Added new frame and rules options for the table dialog.
  Added new global rule for valid_elements/extended_valid_elements enables you to specify global attributes for all elements.
  Added new deny attribute rule characher so it's possible to deny global attribute rules on specific elements.
  Added new unit tests in the dev package of TinyMCE. Runs tests on the core API, commands and settings of the editor.
  Readded the inline_styles option and enabled it by default so deprecated attributes are no longer used.
  Removed all button images and replaced them with CSS sprite images. Reduces the number of requests needed.
  Removed lots of language files and merged them into the base language files. Reduces the number of requests needed.
  Removed lots of unnecessary files and merged many of them together to reduce requests and improve loading speed.
  Reduced the over all script size by 33% and the number of files/requests by 75% so it loads a lot faster.
  Fixed so convert_fonts_to_spans are enabled by default. So no more font tags.
  Fixed so underline and strikethrough uses spans instread of deprecated U and STRIKE elements.
  Fixed so indent/outdent adds/removed margin-left instead of blockquotes.
  Fixed so alignment of paragraphs results in a text-align style value instead of the deprecated align attribute.
  Fixed so alignment of images uses float or vertical-align style values instead of the deprecated align attribute.
  Fixed so all classes from @import stylesheets gets imported into the editor.
  Fixed so the directionality can toggle the dir attribute on and off.
  Fixed so the fullscreen_settings can be used for all types of fullscreen modes.
  Fixed so the advanced HR dialog gets displayed when inserting a HR not only on edit.
  Fixed bug where word wrap didn't work in the source editor on Safari.
  Fixed so non HTML elements can be used within the editor such as <myns:tag>
  Fixed various memory leaks in IE and reduced the unload cleanups needed.
  Fixed so the preformatted option adds an invisible container pre tag inside the editor.
  Renamed the _template plugin to example and updated it to use the new 3.x API.
